Index: pjproject/branches/projects/2.0-dev/pjsip/src/pjsip-ua/sip_100rel.c
===================================================================
--- pjproject/branches/projects/2.0-dev/pjsip/src/pjsip-ua/sip_100rel.c	(revision 3391)
+++ pjproject/branches/projects/2.0-dev/pjsip/src/pjsip-ua/sip_100rel.c	(revision 3392)
@@ -29,4 +29,5 @@
 #include <pj/pool.h>
 #include <pj/rand.h>
+#include <pj/string.h>
 
 #define THIS_FILE	"sip_100rel.c"
Index: pjproject/branches/projects/2.0-dev/pjsip/src/pjsua-lib/pjsua_media.c
===================================================================
--- pjproject/branches/projects/2.0-dev/pjsip/src/pjsua-lib/pjsua_media.c	(revision 3391)
+++ pjproject/branches/projects/2.0-dev/pjsip/src/pjsua-lib/pjsua_media.c	(revision 3392)
@@ -1969,7 +1969,8 @@
 	{
 	    need_reopen = (peer_info.format.id != port0_info.format.id ||
-			   peer_info.format.bitrate != port0_info.format.bitrate ||
+			   peer_info.format.det.aud.avg_bps !=
+				   port0_info.format.det.aud.avg_bps ||
 			   peer_info.clock_rate != port0_info.clock_rate ||
-			   peer_info.channel_count != port0_info.channel_count);
+			   peer_info.channel_count!=port0_info.channel_count);
 	}
 
@@ -1986,5 +1987,6 @@
 					  peer_info.bits_per_sample);
 		if (status != PJ_SUCCESS) {
-		    pjsua_perror(THIS_FILE, "Error opening sound device", status);
+		    pjsua_perror(THIS_FILE, "Error opening sound device",
+				 status);
 		    return status;
 		}
@@ -1998,12 +2000,15 @@
 		status = open_snd_dev(&param);
 		if (status != PJ_SUCCESS) {
-		    pjsua_perror(THIS_FILE, "Error opening sound device", status);
+		    pjsua_perror(THIS_FILE, "Error opening sound device",
+				 status);
 		    return status;
 		}
 	    } else {
 		/* Null-audio */
-		status = pjsua_set_snd_dev(pjsua_var.cap_dev, pjsua_var.play_dev);
+		status = pjsua_set_snd_dev(pjsua_var.cap_dev,
+					   pjsua_var.play_dev);
 		if (status != PJ_SUCCESS) {
-		    pjsua_perror(THIS_FILE, "Error opening sound device", status);
+		    pjsua_perror(THIS_FILE, "Error opening sound device",
+				 status);
 		    return status;
 		}
@@ -2142,5 +2147,5 @@
 				    pool, path,
 				    pjsua_var.mconf_cfg.samples_per_frame *
-				    1000 / pjsua_var.media_cfg.channel_count / 
+				    1000 / pjsua_var.media_cfg.channel_count /
 				    pjsua_var.media_cfg.clock_rate, 
 				    options, 0, &port);
@@ -2706,5 +2711,5 @@
     if (!pjsua_var.is_mswitch &&
 	param->ext_fmt.id == PJMEDIA_FORMAT_PCM &&
-	conf_port->info.clock_rate != param->clock_rate)
+	PJMEDIA_PIA_SRATE(&conf_port->info) != param->clock_rate)
     {
 	pjmedia_port *resample_port;
@@ -2742,11 +2747,14 @@
      */
     if (pjsua_var.is_mswitch) {
-	pj_memcpy(&conf_port->info.format, &param->ext_fmt, 
-		  sizeof(conf_port->info.format));
-	conf_port->info.clock_rate = param->clock_rate;
-	conf_port->info.samples_per_frame = param->samples_per_frame;
-	conf_port->info.channel_count = param->channel_count;
-	conf_port->info.bits_per_sample = 16;
-    }
+	pj_memcpy(&conf_port->info.fmt, &param->ext_fmt,
+		  sizeof(conf_port->info.fmt));
+	conf_port->info.fmt.det.aud.clock_rate = param->clock_rate;
+	conf_port->info.fmt.det.aud.frame_time_usec = param->samples_per_frame*
+						      1000000 /
+						      param->clock_rate;
+	conf_port->info.fmt.det.aud.channel_count = param->channel_count;
+	conf_port->info.fmt.det.aud.bits_per_sample = 16;
+    }
+
 
     /* Connect sound port to the bridge */
Index: pjproject/branches/projects/2.0-dev/version.mak
===================================================================
--- pjproject/branches/projects/2.0-dev/version.mak	(revision 3391)
+++ pjproject/branches/projects/2.0-dev/version.mak	(revision 3392)
@@ -1,1 +1,1 @@
-export PJ_VERSION := 1.8.10-trunk
+export PJ_VERSION := 2.0-dev
